<div
  class="slides-panel-content"
  *ngIf="slideEntities?.length">
  <mat-grid-list cols="11" rowHeight="29rem" gutterSize="0">
    <ng-container *ngFor="let slide of slideEntities; let i = index; trackBy: trackBySlideId">
      <mat-grid-tile *ngIf="i === 0 || i % 10 === 0">
        <app-slide-tray-item
          class="tray-item-dimension"
          [isTrayLabel]="true"
          [deleted]="false"
          [slideId]="'Id'"
          [displayId]="'Id'"
          [block]="'Block'"
          [stain]="'Stain'"
          [tissue]="'Tissue'"
          [done]="'Done'">
        </app-slide-tray-item>
      </mat-grid-tile>
      <mat-grid-tile
        data-cy="slides-tray-list"
        (click)="!slide.deleted ? selectionListChanged(slide?.id) : ''">
        <div
          class="standard-hover tray-item-dimension"
          [ngClass]="[!slide.deleted ? 'grid-tile-div' : 'disabled', selectedSlideId === slide.id ? 'single-selected-option' : '']"
          [appCopyToClipboard]="slide">
          <app-slide-tray-item
            [isTrayLabel]="false"
            [deleted]="slide.deleted"
            [slideId]="slide.id"
            [slideImage]="slideImages[slide.id]"
            [displayId]="slide.dataView?.local_id ?? slide.id"
            [block]="slide.dataView?.block"
            [stain]="slide.dataView?.stain"
            [tissue]="slide.dataView?.tissue"
            [done]="slidesPrimitiveEntities.get(slide.id)?.value ? 'check_circle' : 'cancel'">
          </app-slide-tray-item>
        </div>
      </mat-grid-tile>
    </ng-container>
  </mat-grid-list>
</div>
<ng-container *ngIf="slideEntities?.length">
  <mat-divider></mat-divider>
  <div class="footer-container">
    <div class="pagination-container">
      <app-pagination
        [position]="slidesSkip"
        [limit]="slidesLimit"
        [maxCount]="maxSlidesCount"
        (nextPage)="loadNewSlidesPage.emit($event)"
        (previousPage)="loadNewSlidesPage.emit($event)">
      </app-pagination>
    </div>
    <div class="slides-control-container">
      <div>Slides done: {{freezedSlideCount}}&nbsp;/&nbsp;{{maxSlidesCount}}</div>
      <button
        mat-flat-button
        color="primary"
        [disabled]="freezedSlideCount === maxSlidesCount"
        matTooltip="All slides are finished"
        [matTooltipDisabled]="freezedSlideCount !== maxSlidesCount"
        (click)="nextSlide.emit()">
        Next
      </button>
    </div>
  </div>
</ng-container>
<ng-container *ngIf="selectionMissing">
  <app-missing-selection-error [missingSelectionType]="selectionMissing"></app-missing-selection-error>
</ng-container>
<ng-container *ngIf="!slideEntities.length && !selectionMissing && contentLoaded">
  <div class="menu-no-content">
    <div>Case has no Slides</div>
  </div>
</ng-container>
